Last modified: 2014-03-21 23:34:51 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 60855 - Flow: Move RC-exceptions into FlowActions.php
Flow: Move RC-exceptions into FlowActions.php
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
Flow (Other open bugs)
unspecified
All All
: High normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: code_quality
  Show dependency treegraph
 
Reported: 2014-02-05 01:23 UTC by Matthias Mullie
Modified: 2014-03-21 23:34 UTC (History)
6 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Matthias Mullie 2014-02-05 01:23:18 UTC
We've added an exception for suppress-post & suppress-topic to make them not go into RecentChanges (https://gerrit.wikimedia.org/r/#/c/111158/)

While it works, I'd prefer to have stuff like this centralized in FlowActions.php so we don't lose track of it.

This is not urgent, just making sure we don't forget about it ;)
Comment 1 Matthias Mullie 2014-02-10 21:48:53 UTC
Some more info:

https://gerrit.wikimedia.org/r/#/c/112169/ makes a change to move the AbstractRevision object into function insert()

https://gerrit.wikimedia.org/r/#/c/112583/ adds the recentchanges permission stuff in FlowActions.php

From here, we should be able to get this done more easily
Comment 2 Gerrit Notification Bot 2014-03-17 10:01:54 UTC
Change 119019 had a related patch set uploaded by Matthias Mullie:
(bug 60855) Move RC-exceptions into FlowActions.php

https://gerrit.wikimedia.org/r/119019
Comment 3 Gerrit Notification Bot 2014-03-17 18:58:22 UTC
Change 119019 merged by jenkins-bot:
(bug 60855) Move RC-exceptions into FlowActions.php

https://gerrit.wikimedia.org/r/119019

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links